srcdir = /home/tokslaw/coregrade/coregrade/src
builddir = /home/tokslaw/coregrade/coregrade/src
top_srcdir = /home/tokslaw/coregrade/coregrade/src
top_builddir = /home/tokslaw/coregrade/coregrade/src
EGREP = /bin/grep -E
SED = /bin/sed
CONFIGURE_COMMAND = './configure'
CONFIGURE_OPTIONS =
SHLIB_SUFFIX_NAME = so
SHLIB_DL_SUFFIX_NAME = so
ZEND_EXT_TYPE = zend_extension
RE2C = exit 0;
AWK = gawk
COREGRADE_API_SHARED_LIBADD = -Wl,-rpath,/usr/lib64 -L/usr/lib64 -lpq -lstdc++ -lcurl -lconfig++ -lgsoapssl++ -lssl -lz
shared_objects_coregrade_api = core/XmlElements.lo core/XmlParser.lo core/cfg.lo core/cgi.lo core/clog.lo core/coregrade.lo core/coregrade_api.lo core/cvariables.lo core/exceptions.lo core/hmac_sha2.lo core/input.lo core/list.lo core/pgsql.lo core/pgsql_wrapper.lo core/safestring.lo core/sha2.lo core/sha512.lo core/smtp.lo core/timer.lo core/util.lo core/vars.lo shared_tool/account.lo shared_tool/coregrade_api_main.lo shared_tool/email.lo shared_tool/envC.lo shared_tool/groups.lo shared_tool/interswitch.lo shared_tool/interswitchBasicHttpBinding_USCOREQuickTellerServiceProxy.lo shared_tool/interswitchC.lo shared_tool/interswitch_sendmoney.lo shared_tool/namespaces.lo shared_tool/paylid.lo shared_tool/paylidC.lo shared_tool/paylidpaylidwsdlBindingProxy.lo shared_tool/storeface.lo shared_tool/topups.lo
PHP_PECL_EXTENSION = coregrade_api
PHP_MODULES = $(phplibdir)/coregrade_api.la
PHP_ZEND_EX =
all_targets = $(PHP_MODULES) $(PHP_ZEND_EX)
install_targets = install-modules install-headers
prefix = /usr
exec_prefix = $(prefix)
libdir = ${exec_prefix}/lib
prefix = /usr
phplibdir = /home/tokslaw/coregrade/coregrade/src/modules
phpincludedir = /usr/include/php
CC = cc
CFLAGS = -g -O2
CFLAGS_CLEAN = $(CFLAGS)
CPP = cc -E
CPPFLAGS = -DHAVE_CONFIG_H
CXX = g++
CXXFLAGS = -g -O2
CXXFLAGS_CLEAN = $(CXXFLAGS)
EXTENSION_DIR = /usr/lib64/php/modules
PHP_EXECUTABLE = /usr/bin/php
EXTRA_LDFLAGS =
EXTRA_LIBS =
INCLUDES = -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/pgsql
LFLAGS =
LDFLAGS = -Wl,-rpath,/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1/.libs/ -L/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1/.libs/
SHARED_LIBTOOL =
LIBTOOL = $(SHELL) $(top_builddir)/libtool
SHELL = /bin/sh
INSTALL_HEADERS =
mkinstalldirs = $(top_srcdir)/build/shtool mkdir -p
INSTALL = $(top_srcdir)/build/shtool install -c
INSTALL_DATA = $(INSTALL) -m 644

DEFS = -DPHP_ATOM_INC -I$(top_builddir)/include -I$(top_builddir)/main -I$(top_srcdir)
COMMON_FLAGS = $(DEFS) $(INCLUDES) $(EXTRA_INCLUDES) $(CPPFLAGS) $(PHP_FRAMEWORKPATH)

all: $(all_targets) 
	@echo
	@echo "Build complete."
	@echo "Don't forget to run 'make test'."
	@echo
	
build-modules: $(PHP_MODULES) $(PHP_ZEND_EX)

build-binaries: $(PHP_BINARIES)

libphp$(PHP_MAJOR_VERSION).la: $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS)
	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(EXTRA_CFLAGS) -rpath $(phptempdir) $(EXTRA_LDFLAGS) $(LDFLAGS) $(PHP_RPATHS) $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS) $(EXTRA_LIBS) $(ZEND_EXTRA_LIBS) -o $@
	-@$(LIBTOOL) --silent --mode=install cp $@ $(phptempdir)/$@ >/dev/null 2>&1

libs/libphp$(PHP_MAJOR_VERSION).bundle: $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS)
	$(CC) $(MH_BUNDLE_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) $(EXTRA_LDFLAGS) $(PHP_GLOBAL_OBJS:.lo=.o) $(PHP_SAPI_OBJS:.lo=.o) $(PHP_FRAMEWORKS) $(EXTRA_LIBS) $(ZEND_EXTRA_LIBS) -o $@ && cp $@ libs/libphp$(PHP_MAJOR_VERSION).so

install: $(all_targets) $(install_targets)

install-sapi: $(OVERALL_TARGET)
	@echo "Installing PHP SAPI module:       $(PHP_SAPI)"
	-@$(mkinstalldirs) $(INSTALL_ROOT)$(bindir)
	-@if test ! -r $(phptempdir)/libphp$(PHP_MAJOR_VERSION).$(SHLIB_DL_SUFFIX_NAME); then \
		for i in 0.0.0 0.0 0; do \
			if test -r $(phptempdir)/libphp$(PHP_MAJOR_VERSION).$(SHLIB_DL_SUFFIX_NAME).$$i; then \
				$(LN_S) $(phptempdir)/libphp$(PHP_MAJOR_VERSION).$(SHLIB_DL_SUFFIX_NAME).$$i $(phptempdir)/libphp$(PHP_MAJOR_VERSION).$(SHLIB_DL_SUFFIX_NAME); \
				break; \
			fi; \
		done; \
	fi
	@$(INSTALL_IT)

install-binaries: build-binaries $(install_binary_targets)

install-modules: build-modules
	@test -d modules && \
	$(mkinstalldirs) $(INSTALL_ROOT)$(EXTENSION_DIR)
	@echo "Installing shared extensions:     $(INSTALL_ROOT)$(EXTENSION_DIR)/"
	@rm -f modules/*.la >/dev/null 2>&1
	@$(INSTALL) modules/* $(INSTALL_ROOT)$(EXTENSION_DIR)

install-headers:
	-@if test "$(INSTALL_HEADERS)"; then \
		for i in `echo $(INSTALL_HEADERS)`; do \
			i=`$(top_srcdir)/build/shtool path -d $$i`; \
			paths="$$paths $(INSTALL_ROOT)$(phpincludedir)/$$i"; \
		done; \
		$(mkinstalldirs) $$paths && \
		echo "Installing header files:          $(INSTALL_ROOT)$(phpincludedir)/" && \
		for i in `echo $(INSTALL_HEADERS)`; do \
			if test "$(PHP_PECL_EXTENSION)"; then \
				src=`echo $$i | $(SED) -e "s#ext/$(PHP_PECL_EXTENSION)/##g"`; \
			else \
				src=$$i; \
			fi; \
			if test -f "$(top_srcdir)/$$src"; then \
				$(INSTALL_DATA) $(top_srcdir)/$$src $(INSTALL_ROOT)$(phpincludedir)/$$i; \
			elif test -f "$(top_builddir)/$$src"; then \
				$(INSTALL_DATA) $(top_builddir)/$$src $(INSTALL_ROOT)$(phpincludedir)/$$i; \
			else \
				(cd $(top_srcdir)/$$src && $(INSTALL_DATA) *.h $(INSTALL_ROOT)$(phpincludedir)/$$i; \
				cd $(top_builddir)/$$src && $(INSTALL_DATA) *.h $(INSTALL_ROOT)$(phpincludedir)/$$i) 2>/dev/null || true; \
			fi \
		done; \
	fi

PHP_TEST_SETTINGS = -d 'open_basedir=' -d 'output_buffering=0' -d 'memory_limit=-1'
PHP_TEST_SHARED_EXTENSIONS =  ` \
	if test "x$(PHP_MODULES)" != "x"; then \
		for i in $(PHP_MODULES)""; do \
			. $$i; $(top_srcdir)/build/shtool echo -n -- " -d extension=$$dlname"; \
		done; \
	fi; \
	if test "x$(PHP_ZEND_EX)" != "x"; then \
		for i in $(PHP_ZEND_EX)""; do \
			. $$i; $(top_srcdir)/build/shtool echo -n -- " -d $(ZEND_EXT_TYPE)=$(top_builddir)/modules/$$dlname"; \
		done; \
	fi`
PHP_DEPRECATED_DIRECTIVES_REGEX = '^(magic_quotes_(gpc|runtime|sybase)?|(zend_)?extension(_debug)?(_ts)?)[\t\ ]*='

test: all
	-@if test ! -z "$(PHP_EXECUTABLE)" && test -x "$(PHP_EXECUTABLE)"; then \
		INI_FILE=`$(PHP_EXECUTABLE) -d 'display_errors=stderr' -r 'echo php_ini_loaded_file();' 2> /dev/null`; \
		if test "$$INI_FILE"; then \
			$(EGREP) -h -v $(PHP_DEPRECATED_DIRECTIVES_REGEX) "$$INI_FILE" > $(top_builddir)/tmp-php.ini; \
		else \
			echo > $(top_builddir)/tmp-php.ini; \
		fi; \
		INI_SCANNED_PATH=`$(PHP_EXECUTABLE) -d 'display_errors=stderr' -r '$$a = explode(",\n", trim(php_ini_scanned_files())); echo $$a[0];' 2> /dev/null`; \
		if test "$$INI_SCANNED_PATH"; then \
			INI_SCANNED_PATH=`$(top_srcdir)/build/shtool path -d $$INI_SCANNED_PATH`; \
			$(EGREP) -h -v $(PHP_DEPRECATED_DIRECTIVES_REGEX) "$$INI_SCANNED_PATH"/*.ini >> $(top_builddir)/tmp-php.ini; \
		fi; \
		TEST_PHP_EXECUTABLE=$(PHP_EXECUTABLE) \
		TEST_PHP_SRCDIR=$(top_srcdir) \
		CC="$(CC)" \
			$(PHP_EXECUTABLE) -n -c $(top_builddir)/tmp-php.ini $(PHP_TEST_SETTINGS) $(top_srcdir)/run-tests.php -n -c $(top_builddir)/tmp-php.ini -d extension_dir=$(top_builddir)/modules/ $(PHP_TEST_SHARED_EXTENSIONS) $(TESTS); \
		rm $(top_builddir)/tmp-php.ini; \
	else \
		echo "ERROR: Cannot run tests without CLI sapi."; \
	fi

clean:
	find . -name \*.gcno -o -name \*.gcda | xargs rm -f
	find . -name \*.lo -o -name \*.o | xargs rm -f
	find . -name \*.la -o -name \*.a | xargs rm -f 
	find . -name \*.so | xargs rm -f
	find . -name .libs -a -type d|xargs rm -rf
	rm -f libphp$(PHP_MAJOR_VERSION).la $(SAPI_CLI_PATH) $(OVERALL_TARGET) modules/* libs/*

distclean: clean
	rm -f Makefile config.cache config.log config.status Makefile.objects Makefile.fragments libtool main/php_config.h stamp-h sapi/apache/libphp$(PHP_MAJOR_VERSION).module buildmk.stamp
	$(EGREP) define'.*include/php' $(top_srcdir)/configure | $(SED) 's/.*>//'|xargs rm -f

.PHONY: all clean install distclean test
.NOEXPORT:
core/XmlElements.lo: /home/tokslaw/coregrade/coregrade/src/core/XmlElements.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/XmlElements.cc -o core/XmlElements.lo 
core/XmlParser.lo: /home/tokslaw/coregrade/coregrade/src/core/XmlParser.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/XmlParser.cc -o core/XmlParser.lo 
core/cfg.lo: /home/tokslaw/coregrade/coregrade/src/core/cfg.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/cfg.cc -o core/cfg.lo 
core/cgi.lo: /home/tokslaw/coregrade/coregrade/src/core/cgi.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/cgi.cc -o core/cgi.lo 
core/clog.lo: /home/tokslaw/coregrade/coregrade/src/core/clog.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/clog.cc -o core/clog.lo 
core/coregrade.lo: /home/tokslaw/coregrade/coregrade/src/core/coregrade.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/coregrade.cc -o core/coregrade.lo 
core/coregrade_api.lo: /home/tokslaw/coregrade/coregrade/src/core/coregrade_api.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/coregrade_api.cc -o core/coregrade_api.lo 
core/cvariables.lo: /home/tokslaw/coregrade/coregrade/src/core/cvariables.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/cvariables.cc -o core/cvariables.lo 
core/exceptions.lo: /home/tokslaw/coregrade/coregrade/src/core/exceptions.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/exceptions.cc -o core/exceptions.lo 
core/hmac_sha2.lo: /home/tokslaw/coregrade/coregrade/src/core/hmac_sha2.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/hmac_sha2.cc -o core/hmac_sha2.lo 
core/input.lo: /home/tokslaw/coregrade/coregrade/src/core/input.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/input.cc -o core/input.lo 
core/list.lo: /home/tokslaw/coregrade/coregrade/src/core/list.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/list.cc -o core/list.lo 
core/pgsql.lo: /home/tokslaw/coregrade/coregrade/src/core/pgsql.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/pgsql.cc -o core/pgsql.lo 
core/pgsql_wrapper.lo: /home/tokslaw/coregrade/coregrade/src/core/pgsql_wrapper.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/pgsql_wrapper.cc -o core/pgsql_wrapper.lo 
core/safestring.lo: /home/tokslaw/coregrade/coregrade/src/core/safestring.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/safestring.cc -o core/safestring.lo 
core/sha2.lo: /home/tokslaw/coregrade/coregrade/src/core/sha2.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/sha2.cc -o core/sha2.lo 
core/sha512.lo: /home/tokslaw/coregrade/coregrade/src/core/sha512.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/sha512.cc -o core/sha512.lo 
core/smtp.lo: /home/tokslaw/coregrade/coregrade/src/core/smtp.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/smtp.cc -o core/smtp.lo 
core/timer.lo: /home/tokslaw/coregrade/coregrade/src/core/timer.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/timer.cc -o core/timer.lo 
core/util.lo: /home/tokslaw/coregrade/coregrade/src/core/util.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/util.cc -o core/util.lo 
core/vars.lo: /home/tokslaw/coregrade/coregrade/src/core/vars.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/core/vars.cc -o core/vars.lo 
shared_tool/account.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/account.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/account.cc -o shared_tool/account.lo 
shared_tool/coregrade_api_main.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/coregrade_api_main.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/coregrade_api_main.cc -o shared_tool/coregrade_api_main.lo 
shared_tool/email.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/email.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/email.cc -o shared_tool/email.lo 
shared_tool/envC.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/envC.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/envC.cc -o shared_tool/envC.lo 
shared_tool/groups.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/groups.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/groups.cc -o shared_tool/groups.lo 
shared_tool/interswitch.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitch.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitch.cc -o shared_tool/interswitch.lo 
shared_tool/interswitchBasicHttpBinding_USCOREQuickTellerServiceProxy.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitchBasicHttpBinding_USCOREQuickTellerServiceProxy.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitchBasicHttpBinding_USCOREQuickTellerServiceProxy.cc -o shared_tool/interswitchBasicHttpBinding_USCOREQuickTellerServiceProxy.lo 
shared_tool/interswitchC.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitchC.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitchC.cc -o shared_tool/interswitchC.lo 
shared_tool/interswitch_sendmoney.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitch_sendmoney.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/interswitch_sendmoney.cc -o shared_tool/interswitch_sendmoney.lo 
shared_tool/namespaces.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/namespaces.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/namespaces.cc -o shared_tool/namespaces.lo 
shared_tool/paylid.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/paylid.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/paylid.cc -o shared_tool/paylid.lo 
shared_tool/paylidC.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/paylidC.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/paylidC.cc -o shared_tool/paylidC.lo 
shared_tool/paylidpaylidwsdlBindingProxy.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/paylidpaylidwsdlBindingProxy.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/paylidpaylidwsdlBindingProxy.cc -o shared_tool/paylidpaylidwsdlBindingProxy.lo 
shared_tool/storeface.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/storeface.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/storeface.cc -o shared_tool/storeface.lo 
shared_tool/topups.lo: /home/tokslaw/coregrade/coregrade/src/shared_tool/topups.cc
	$(LIBTOOL) --mode=compile $(CXX) -I/home/tokslaw/coregrade/coregrade/src/libconfig-1.3.1 -I. -I/home/tokslaw/coregrade/coregrade/src $(COMMON_FLAGS) $(CXXFLAGS_CLEAN) $(EXTRA_CXXFLAGS)  -c /home/tokslaw/coregrade/coregrade/src/shared_tool/topups.cc -o shared_tool/topups.lo 
$(phplibdir)/coregrade_api.la: ./coregrade_api.la
	$(LIBTOOL) --mode=install cp ./coregrade_api.la $(phplibdir)

./coregrade_api.la: $(shared_objects_coregrade_api) $(COREGRADE_API_SHARED_DEPENDENCIES)
	$(LIBTOOL) --mode=link $(CC) $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) -o $@ -export-dynamic -avoid-version -prefer-pic -module -rpath $(phplibdir) $(EXTRA_LDFLAGS) $(shared_objects_coregrade_api) $(COREGRADE_API_SHARED_LIBADD)

